VCMD0028040000000000COMPONENT          
Node "rSimResource"
{
Name "Slat-Conveyor_V2"
Id 1
NodeClass 
{
Id 1
Feature "rGeoFeature"
{
Name "Geometry_2"

Visible 1

Uri ""
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
Feature "rGeoFeature"
{
Name "Geometry_1"

Visible 1

Uri "geometry_1"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
Feature "rGeoFeature"
{
Name "Geometry_0"

Visible 1

Uri "geometry_0"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
SimAttribute "rSimApplyMaterialAttribute"
{
Material  "beige"
{
  Ambient
  {
    Red 0.200000002980232
    Green 0.159999996423721
    Blue 0.10249999910593
  }
  Diffuse
  {
    Red 0.800000011920929
    Green 0.639999985694885
    Blue 0.409999996423721
  }
  Specular
  {
    Color
    {
      Red 0.560000002384186
      Green 0.447999984025955
      Blue 0.287000000476837
    }
    Shininess 0.400000005960464
  }
}

}
VCID "114a2f7f-461f-4a3c-aa30-c412989ff3cf"
}
Functionality "rPythonScript"
{
Id 1
Name "PythonScript"
Script "from vcScript import *
\n
\ndef OnSignal( signal ):
\n  pass
\n
\ndef OnRun():
\n  servo = comp.findBehaviour(\"Servo Controller\")
\n  servo.move(0,0)
\n  while True:   
\n    servo.setJointTarget(0,1500)
\n    servo.move()
\n    servo.setJointTarget(1,180)
\n    servo.move()
\n    servo.setJointTarget(0,0)
\n    servo.move()  
\n    servo.setJointTarget(1,360)
\n    servo.move()
\n    servo.moveImmediate(0,0)  
\n
\ncomp = getComponent()    "
CompatibilityMode 0
}
Functionality "rSimKinController"
{
Id 2
Name "Servo Controller"
Joints
{
  JointInfo
  {
    Index 0
    DofObject "J1"
  }
  JointInfo
  {
    Index 1
    DofObject "J2"
  }
}
DummyDofs
{
}
UseHeartbeat 0
HeartRate 0
UsePhysicalHeartbeat 0
RootNode "Slat-Conveyor_V2"
FlangeNode "Link_2"
}
VCID 114a2f7f-461f-4a3c-aa30-c412989ff3cf
Revision 2
Location 1 6.46093248221e-017 -1.04030007037e-016 0 -6.46093248221e-017 1 0 0 1.04030007037e-016 6.72130851592e-033 1 0 0 0 0 1 
ActiveSimulationLevel detailed
BackfaceMode on
BOMname  "Final-Assembly-of-Slat-Conveyor"

BOMdescription  ""

Category  ""

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
}
Node "rSimLink"
{
Name "Link_1"
Id 2
NodeClass 
{
Id 2
Feature "rTransformFeature"
{
Name "transform:0"

Matrix 1 1.13842998534e-049 -7.3888330457e-017 0 7.3888330457e-017 -1.54074395551e-033 1 0 -1.0682513714e-064 -1 -1.54074395551e-033 0 -79.962735283 301.12928517 -4.02732272792 1 
Visible 1
Transform 
{
  Expression ""
}

}
}
Dof  "Custom"
{
  Name "J1"
  Properties
  {
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMinLimit"
      Value
      {
        Expression ""
      }
      Group 33
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMaxLimit"
      Value
      {
        Expression ""
      }
      Group 34
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxSpeed"
      Value 100
      Group 35
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Speed" "ScalarQuantity"
      {
        Groups
        {
          UnitGroup "US Speed"
          {
            Unit
            {
              Name "feet per minute"
              Suffix "fpm"
              Factor 5.07999992370605
              Offset 0
            }
            Family "US degrees"
            Family "a"
          }
          UnitGroup "mm/min"
          {
            Unit
            {
              Name "dfdf"
              Suffix "m/min"
              Factor 1
              Offset 0
            }
          }
        }
      }
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxAcceleration"
      Value 500
      Group 36
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxDeceleration"
      Value 500
      Group 37
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "LagTime"
      Value 0
      Group 41
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "SettleTime"
      Value 0
      Group 42
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
  }
  JointValue 0
  MinLimit
  {
    Expression "-1800.0"
  }
  MaxLimit
  {
    Expression "1800.0"
  }
  Joint
  {
    Expression ""
  }
  JointServoType 1
}
Offset 
{
  Expression "Tx(-12.602882).Ty(162.500000).Tz(754.455505)"
}
Node "rSimLink"
{
Name "Link_2"
Id 3
NodeClass 
{
Id 3
Feature "rGeoFeature"
{
Name "Geometry_3"

Matrix 1 0 0 0 0 1 0 0 0 0 1 0 12.602882 -162.5 -754.455505 1 
Visible 1

Uri "geometry_3"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
}
Dof  "Custom"
{
  Name "J2"
  Properties
  {
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMinLimit"
      Value
      {
        Expression ""
      }
      Group 33
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTExpressionVariable<rDouble>"
    {
      Name "SoftMaxLimit"
      Value
      {
        Expression ""
      }
      Group 34
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
      }
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxSpeed"
      Value 20
      Group 35
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Speed"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxAcceleration"
      Value 80
      Group 36
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "MaxDeceleration"
      Value 80
      Group 37
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Acceleration"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "LagTime"
      Value 0
      Group 41
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
    Variable "rTVariable<rDouble>"
    {
      Name "SettleTime"
      Value 0
      Group 42
      Settings
      {
        VISIBLE
        EDITABLE_DISCONNECTED
        EDITABLE_CONNECTED
        EDITABLE_SIMULATING
        TRANSLATE_USING_GETTEXT
      }
      Quantity "Time"
      Magnitude 1
    }
  }
  JointValue 0
  MinLimit
  {
    Expression "-1800.0"
  }
  MaxLimit
  {
    Expression "1800.0"
  }
  Joint
  {
    Expression "Tx(J1).Ry(J2)"
  }
  JointServoType 1
}
Offset 
{
  Expression ""
}
}
}
}
